org.h2.command.query

## Enum ForUpdate.Type

- java.lang.Object
- - java.lang.Enum<ForUpdate.Type>
  - - org.h2.command.query.ForUpdate.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ForUpdate.Type>

Enclosing class:
  ForUpdate

    public static enum ForUpdate.Type
    extends java.lang.Enum<ForUpdate.Type>

Type of FOR UPDATE clause.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEFAULT` Use default lock timeout.
`NOWAIT` Use zero timeout.
`SKIP_LOCKED` Skip locked rows.
`WAIT` Use specified lock timeout.

### Method Summary

All Methods Static Methods Concrete Methods
`static ForUpdate.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ForUpdate.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final ForUpdate.Type DEFAULT

Use default lock timeout.

#### WAIT

    public static final ForUpdate.Type WAIT

Use specified lock timeout.

#### NOWAIT

    public static final ForUpdate.Type NOWAIT

Use zero timeout.

#### SKIP_LOCKED

    public static final ForUpdate.Type SKIP_LOCKED

Skip locked rows.

### Method Detail

#### values

    public static ForUpdate.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ForUpdate.Type c : ForUpdate.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ForUpdate.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null